<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>D-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="index: D">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:D">D</h2>
<dl class="index">
<dt><a href="../org/vtokarev/dao/mysql/BaseDaoImpl.html#dataSource" class="member-name-link">dataSource</a> - Variable in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BaseDaoImpl.html" title="class in org.vtokarev.dao.mysql">BaseDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/UserDaoImpl.html#delete(long)" class="member-name-link">delete(long)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/UserDaoImpl.html" title="class in org.vtokarev.dao.mysql">UserDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/UserDao.html#delete(long)" class="member-name-link">delete(long)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/UserDao.html" title="interface in org.vtokarev.dao">UserDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#delete(long)" class="member-name-link">delete(long)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/UserService.html#delete(long)" class="member-name-link">delete(long)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/UserService.html" title="class in org.vtokarev.service">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html#delete(org.vtokarev.domain.Booking)" class="member-name-link">delete(Booking)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/BookingDaoImpl.html" title="class in org.vtokarev.dao.mysql">BookingDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#delete(org.vtokarev.domain.Room)" class="member-name-link">delete(Room)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomClassDaoImpl.html#delete(org.vtokarev.domain.RoomClass)" class="member-name-link">delete(RoomClass)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomClassDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomClassDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html#delete(org.vtokarev.domain.RoomRequest)" class="member-name-link">delete(RoomRequest)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomRequestDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomRequestDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/UserDaoImpl.html#delete(org.vtokarev.domain.User)" class="member-name-link">delete(User)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/UserDaoImpl.html" title="class in org.vtokarev.dao.mysql">UserDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/GenericDao.html#delete(T)" class="member-name-link">delete(T)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/GenericDao.html" title="interface in org.vtokarev.dao">GenericDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#DELETE_BY_ID" class="member-name-link">DELETE_BY_ID</a> - Static variable in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/service/RoomService.html#deleteImage(java.lang.String)" class="member-name-link">deleteImage(String)</a> - Method in class org.vtokarev.service.<a href="../org/vtokarev/service/RoomService.html" title="class in org.vtokarev.service">RoomService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html#deleteImageDirectory(org.vtokarev.domain.Room)" class="member-name-link">deleteImageDirectory(Room)</a> - Method in class org.vtokarev.dao.mysql.<a href="../org/vtokarev/dao/mysql/RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/dao/RoomDao.html#deleteImageDirectory(org.vtokarev.domain.Room)" class="member-name-link">deleteImageDirectory(Room)</a> - Method in interface org.vtokarev.dao.<a href="../org/vtokarev/dao/RoomDao.html" title="interface in org.vtokarev.dao">RoomDao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/filters/AuthenticationFilter.html#doFilter(javax.servlet.ServletRequest,javax.servlet.ServletResponse,javax.servlet.FilterChain)" class="member-name-link">doFilter(ServletRequest, ServletResponse, FilterChain)</a> - Method in class org.vtokarev.filters.<a href="../org/vtokarev/filters/AuthenticationFilter.html" title="class in org.vtokarev.filters">AuthenticationFilter</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/filters/CharsetFilter.html#doFilter(javax.servlet.ServletRequest,javax.servlet.ServletResponse,javax.servlet.FilterChain)" class="member-name-link">doFilter(ServletRequest, ServletResponse, FilterChain)</a> - Method in class org.vtokarev.filters.<a href="../org/vtokarev/filters/CharsetFilter.html" title="class in org.vtokarev.filters">CharsetFilter</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/filters/CookieLocaleFilter.html#doFilter(javax.servlet.ServletRequest,javax.servlet.ServletResponse,javax.servlet.FilterChain)" class="member-name-link">doFilter(ServletRequest, ServletResponse, FilterChain)</a> - Method in class org.vtokarev.filters.<a href="../org/vtokarev/filters/CookieLocaleFilter.html" title="class in org.vtokarev.filters">CookieLocaleFilter</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/BookingListServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/BookingListServlet.html" title="class in org.vtokarev.controller">BookingListServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/BookingServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/BookingServlet.html" title="class in org.vtokarev.controller">BookingServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/BookRoomGuestServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/BookRoomGuestServlet.html" title="class in org.vtokarev.controller">BookRoomGuestServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/CreateRequestServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/CreateRequestServlet.html" title="class in org.vtokarev.controller">CreateRequestServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/HomeServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/HomeServlet.html" title="class in org.vtokarev.controller">HomeServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/ImageListServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/ImageListServlet.html" title="class in org.vtokarev.controller">ImageListServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/LoginServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/LoginServlet.html" title="class in org.vtokarev.controller">LoginServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/LogoutServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/LogoutServlet.html" title="class in org.vtokarev.controller">LogoutServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/ModifyRoomServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/ModifyRoomServlet.html" title="class in org.vtokarev.controller">ModifyRoomServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/ModifyUserServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/ModifyUserServlet.html" title="class in org.vtokarev.controller">ModifyUserServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/ProceedRequestServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/ProceedRequestServlet.html" title="class in org.vtokarev.controller">ProceedRequestServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/RequestListServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/RequestListServlet.html" title="class in org.vtokarev.controller">RequestListServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/RoomListServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/RoomListServlet.html" title="class in org.vtokarev.controller">RoomListServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/SearchRoomServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/SearchRoomServlet.html" title="class in org.vtokarev.controller">SearchRoomServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/UserListServlet.html#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doGet(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/UserListServlet.html" title="class in org.vtokarev.controller">UserListServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/BookRoomGuestServlet.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doPost(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/BookRoomGuestServlet.html" title="class in org.vtokarev.controller">BookRoomGuestServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/BookRoomManagerServlet.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doPost(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/BookRoomManagerServlet.html" title="class in org.vtokarev.controller">BookRoomManagerServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/CreateRequestServlet.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doPost(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/CreateRequestServlet.html" title="class in org.vtokarev.controller">CreateRequestServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/ImageListServlet.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doPost(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/ImageListServlet.html" title="class in org.vtokarev.controller">ImageListServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/LoginServlet.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doPost(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/LoginServlet.html" title="class in org.vtokarev.controller">LoginServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/ModifyRoomServlet.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doPost(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/ModifyRoomServlet.html" title="class in org.vtokarev.controller">ModifyRoomServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/ModifyUserServlet.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doPost(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/ModifyUserServlet.html" title="class in org.vtokarev.controller">ModifyUserServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/ProceedBookingServlet.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doPost(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/ProceedBookingServlet.html" title="class in org.vtokarev.controller">ProceedBookingServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/ProceedRequestServlet.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doPost(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/ProceedRequestServlet.html" title="class in org.vtokarev.controller">ProceedRequestServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/controller/UploadImageServlet.html#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)" class="member-name-link">doPost(HttpServletRequest, HttpServletResponse)</a> - Method in class org.vtokarev.controller.<a href="../org/vtokarev/controller/UploadImageServlet.html" title="class in org.vtokarev.controller">UploadImageServlet</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/vtokarev/tag/FormatLocalDateTime.html#doTag()" class="member-name-link">doTag()</a> - Method in class org.vtokarev.tag.<a href="../org/vtokarev/tag/FormatLocalDateTime.html" title="class in org.vtokarev.tag">FormatLocalDateTime</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
